package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.WeekdayUtil;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetNWorkdayDate.class */
public class GetNWorkdayDate extends LifeAction {
    private String dateString;
    private String dateFormatStr;
    private String flagStr;
    private String numString;
    private String returnStr;

    public String execute(Context context) throws GENEException {
        int numInt;
        if (isNull(this.dateString, this.dateFormatStr, this.flagStr, this.numString, this.returnStr)) {
            throw new TranFailException("NE0001", "'取前后N天域'写有误");
        }
        try {
            SimpleDateFormat sdf = new SimpleDateFormat(this.dateFormatStr);
            try {
                numInt = Integer.parseInt((String) context.getDataValue(this.numString));
            } catch (Exception unused) {
                if ("".equals(this.numString)) {
                    throw new TranFailException("NE0001", "'取前后N天域'写有误");
                }
                numInt = Integer.parseInt(this.numString);
            }
            if ("today".equals(this.dateString)) {
                Date date = new Date();
                String Str = sdf.format(getDate(date, numInt));
                context.setDataValue(this.returnStr, Str);
                return "0";
            }
            String dateStr = (String) context.getDataValue(this.dateString);
            Date date2 = sdf.parse(dateStr);
            String Str2 = sdf.format(getDate(date2, numInt));
            context.setDataValue(this.returnStr, Str2);
            return "0";
        } catch (Exception ex) {
            Trace.logDebug("LifeAction", "取指定日期的前后N天出错");
            Trace.logWarn("LifeAction", ex.getMessage(), ex);
            throw new TranFailException("NE0001", "'取前后N天域'写有误");
        }
    }

    public boolean isNull(String dateString, String dateFormatStr, String flagStr, String numString, String returnStr) {
        if (dateString == null || "".endsWith(dateString) || dateFormatStr == null || "".endsWith(dateFormatStr) || flagStr == null || "".endsWith(flagStr) || numString == null || "".endsWith(numString) || returnStr == null || "".endsWith(returnStr)) {
            return true;
        }
        return false;
    }

    public Date getDate(Date d, int day) throws TranFailException {
        new SimpleDateFormat("yyyy-MM-dd");
        Calendar now = Calendar.getInstance();
        now.setTime(d);
        Date date = null;
        if (!"before".equals(this.flagStr) && !"after".equals(this.flagStr)) {
            Trace.logDebug("LifeAction", "'取前后N天域'写有误");
            throw new TranFailException("NE0001", "'取前后N天域'写有误");
        }
        if ("before".equals(this.flagStr)) {
            date = WeekdayUtil.getBeforeWorkDay(d, day);
        }
        if ("after".equals(this.flagStr)) {
            now.set(5, now.get(5) + day);
        }
        return date;
    }

    public String getDateString() {
        return this.dateString;
    }

    public void setDateString(String dateString) {
        this.dateString = dateString;
    }

    public String getDateFormatStr() {
        return this.dateFormatStr;
    }

    public void setDateFormatStr(String dateFormatStr) {
        this.dateFormatStr = dateFormatStr;
    }

    public String getFlagStr() {
        return this.flagStr;
    }

    public void setFlagStr(String flagStr) {
        this.flagStr = flagStr;
    }

    public String getNumString() {
        return this.numString;
    }

    public void setNumString(String numString) {
        this.numString = numString;
    }

    public String getReturnStr() {
        return this.returnStr;
    }

    public void setReturnStr(String returnStr) {
        this.returnStr = returnStr;
    }
}
